summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log656
-rw-r--r--jenkins/notify-init.log90
-rw-r--r--jenkins/run-build.env8
4 files changed, 483 insertions, 273 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 44bb5d3..be80623 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#548-binutils-gcc-gdb-glibc-linux-R0
+#549-binutils-gcc-gdb-glibc-linux-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 80fe226..1fd916c 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -9,8 +9,8 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-+ setup_notify_environment
# setup_notify_environment
++ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -21,23 +21,23 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-arm
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/547/
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/'
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/547/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/'
-+ echo '# Using dir : artifacts'
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/'
++ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
@@ -45,9 +45,9 @@
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
+# check_source_changes
+ check_source_changes
+ echo '# check_source_changes'
-# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -93,7 +93,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' x10a0a5e239634fdabff35623efe2ca632047755e '!=' x54195469c18ec9873cc5ba6907f768509473fa9b ']'
+++ '[' x6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 '!=' x10a0a5e239634fdabff35623efe2ca632047755e ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -108,7 +108,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' xa53da3a213ee00866d132c228a0e89bd2f61d65c '!=' xf1b2f3a7e0638c450129ea099baa42cbf290e313 ']'
+++ '[' x9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb '!=' xa53da3a213ee00866d132c228a0e89bd2f61d65c ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -136,9 +136,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x472894d2cfee5751b44c0aaa71ed87df81c8e62e '!=' x64e4acf24da15c11cb83f933947df3b2e8a700cd ']'
-++ echo -ne ' glibc'
-++ delim=' '
+++ '[' x472894d2cfee5751b44c0aaa71ed87df81c8e62e '!=' x472894d2cfee5751b44c0aaa71ed87df81c8e62e ']'
++ for c in $(print_updated_components)
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
@@ -151,19 +149,19 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' x10a0a5e239634fdabff35623efe2ca632047755e '!=' x54195469c18ec9873cc5ba6907f768509473fa9b ']'
+++ '[' x6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 '!=' x10a0a5e239634fdabff35623efe2ca632047755e ']'
++ echo -ne ' gdb'
++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
-+ '[' 4 = 0 ']'
-# Debug traces :
-# change_kind=multiple_components : binutils gcc glibc gdb
-+ '[' 4 = 1 ']'
++ '[' 3 = 0 ']'
++ '[' 3 = 1 ']'
+ change_kind=multiple_components
+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=multiple_components : binutils gcc glibc gdb'
+# Debug traces :
+# change_kind=multiple_components : binutils gcc gdb
++ echo '# change_kind=multiple_components : binutils gcc gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -171,17 +169,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=54195469c18ec9873cc5ba6907f768509473fa9b
++ base_rev=10a0a5e239634fdabff35623efe2ca632047755e
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=10a0a5e239634fdabff35623efe2ca632047755e
-++ git -C binutils rev-list --count 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-+ c_commits=17
-# rev for binutils : 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e (17 commits)
-+ echo '# rev for binutils : 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e (17 commits)'
++ cur_rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ git -C binutils rev-list --count 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++ c_commits=23
++ echo '# rev for binutils : 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 (23 commits)'
+# rev for binutils : 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 (23 commits)
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -189,35 +187,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=f1b2f3a7e0638c450129ea099baa42cbf290e313
++ base_rev=a53da3a213ee00866d132c228a0e89bd2f61d65c
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=a53da3a213ee00866d132c228a0e89bd2f61d65c
-++ git -C gcc rev-list --count f1b2f3a7e0638c450129ea099baa42cbf290e313..a53da3a213ee00866d132c228a0e89bd2f61d65c
-+ c_commits=70
-+ echo '# rev for gcc : f1b2f3a7e0638c450129ea099baa42cbf290e313..a53da3a213ee00866d132c228a0e89bd2f61d65c (70 commits)'
-# rev for gcc : f1b2f3a7e0638c450129ea099baa42cbf290e313..a53da3a213ee00866d132c228a0e89bd2f61d65c (70 commits)
-+ for c in "${changed_components[@]}"
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ base_rev=64e4acf24da15c11cb83f933947df3b2e8a700cd
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ cur_rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
-++ git -C glibc rev-list --count 64e4acf24da15c11cb83f933947df3b2e8a700cd..472894d2cfee5751b44c0aaa71ed87df81c8e62e
-+ c_commits=18
-+ echo '# rev for glibc : 64e4acf24da15c11cb83f933947df3b2e8a700cd..472894d2cfee5751b44c0aaa71ed87df81c8e62e (18 commits)'
-# rev for glibc : 64e4acf24da15c11cb83f933947df3b2e8a700cd..472894d2cfee5751b44c0aaa71ed87df81c8e62e (18 commits)
++ cur_rev=9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
+++ git -C gcc rev-list --count a53da3a213ee00866d132c228a0e89bd2f61d65c..9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
++ c_commits=34
+# rev for gcc : a53da3a213ee00866d132c228a0e89bd2f61d65c..9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb (34 commits)
++ echo '# rev for gcc : a53da3a213ee00866d132c228a0e89bd2f61d65c..9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb (34 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -225,18 +205,18 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=54195469c18ec9873cc5ba6907f768509473fa9b
++ base_rev=10a0a5e239634fdabff35623efe2ca632047755e
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=10a0a5e239634fdabff35623efe2ca632047755e
-++ git -C gdb rev-list --count 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-+ c_commits=17
-# rev for gdb : 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e (17 commits)
++ cur_rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ git -C gdb rev-list --count 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++ c_commits=23
++ echo '# rev for gdb : 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 (23 commits)'
+# rev for gdb : 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 (23 commits)
-+ echo '# rev for gdb : 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e (17 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -260,8 +240,8 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=init
+ '[' multiple_components '!=' single_commit ']'
+ return
@@ -269,7 +249,7 @@
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 337075
++ wait 340375
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ check_if_first_report
+ declare -g first_icommit_to_report
@@ -278,8 +258,8 @@
+ return
+ post_interesting_commits full
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
+ '[' multiple_components '!=' single_commit ']'
+ return
@@ -310,10 +290,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 337120
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231122 --build_dir=artifacts/sumfiles --verbosity=1
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231122 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 337121
+++ wait 340420
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 340421
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -336,9 +316,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -371,16 +351,16 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=54195469c18ec9873cc5ba6907f768509473fa9b
+++ base_rev=10a0a5e239634fdabff35623efe2ca632047755e
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=10a0a5e239634fdabff35623efe2ca632047755e
-+++ git -C binutils rev-list --count 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-++ c_commits=17
-++ new_commits=17
+++ cur_rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++++ git -C binutils rev-list --count 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ c_commits=23
+++ new_commits=23
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -388,33 +368,16 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=f1b2f3a7e0638c450129ea099baa42cbf290e313
+++ base_rev=a53da3a213ee00866d132c228a0e89bd2f61d65c
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=a53da3a213ee00866d132c228a0e89bd2f61d65c
-+++ git -C gcc rev-list --count f1b2f3a7e0638c450129ea099baa42cbf290e313..a53da3a213ee00866d132c228a0e89bd2f61d65c
-++ c_commits=70
-++ new_commits=87
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=64e4acf24da15c11cb83f933947df3b2e8a700cd
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
-+++ git -C glibc rev-list --count 64e4acf24da15c11cb83f933947df3b2e8a700cd..472894d2cfee5751b44c0aaa71ed87df81c8e62e
-++ c_commits=18
-++ new_commits=105
+++ cur_rev=9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
++++ git -C gcc rev-list --count a53da3a213ee00866d132c228a0e89bd2f61d65c..9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
+++ c_commits=34
+++ new_commits=57
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -422,20 +385,20 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=54195469c18ec9873cc5ba6907f768509473fa9b
+++ base_rev=10a0a5e239634fdabff35623efe2ca632047755e
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=10a0a5e239634fdabff35623efe2ca632047755e
-+++ git -C gdb rev-list --count 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-++ c_commits=17
-++ new_commits=122
-+++ echo binutils gcc glibc gdb
+++ cur_rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++++ git -C gdb rev-list --count 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ c_commits=23
+++ new_commits=80
++++ echo binutils gcc gdb
+++ tr ' ' ,
-++ components=binutils,gcc,glibc,gdb
-++ echo '122 commits in binutils,gcc,glibc,gdb'
+++ components=binutils,gcc,gdb
+++ echo '80 commits in binutils,gcc,gdb'
++ '[' --oneline = --oneline ']'
++ return 0
++ gnu_print_result --oneline
@@ -445,10 +408,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 337186
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231122 --build_dir=artifacts/sumfiles --verbosity=1
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231122 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 337187
+++ wait 340476
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 340477
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -467,7 +430,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gnu_native_fast_check_gdb master-arm
++ local project=tcwg_gnu_native_fast_check_gdb
@@ -487,21 +450,21 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' '122 commits in binutils,gcc,glibc,gdb: PASS on arm'
++ echo '[Linaro-TCWG-CI]' '80 commits in binutils,gcc,gdb: PASS on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/547/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gnu_native_fast_check_gdb master-arm
++ local project=tcwg_gnu_native_fast_check_gdb
@@ -538,16 +501,16 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=54195469c18ec9873cc5ba6907f768509473fa9b
+++ base_rev=10a0a5e239634fdabff35623efe2ca632047755e
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=10a0a5e239634fdabff35623efe2ca632047755e
-+++ git -C binutils rev-list --count 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-++ c_commits=17
-++ new_commits=17
+++ cur_rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++++ git -C binutils rev-list --count 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ c_commits=23
+++ new_commits=23
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -555,33 +518,16 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=f1b2f3a7e0638c450129ea099baa42cbf290e313
+++ base_rev=a53da3a213ee00866d132c228a0e89bd2f61d65c
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=a53da3a213ee00866d132c228a0e89bd2f61d65c
-+++ git -C gcc rev-list --count f1b2f3a7e0638c450129ea099baa42cbf290e313..a53da3a213ee00866d132c228a0e89bd2f61d65c
-++ c_commits=70
-++ new_commits=87
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=64e4acf24da15c11cb83f933947df3b2e8a700cd
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
-+++ git -C glibc rev-list --count 64e4acf24da15c11cb83f933947df3b2e8a700cd..472894d2cfee5751b44c0aaa71ed87df81c8e62e
-++ c_commits=18
-++ new_commits=105
+++ cur_rev=9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
++++ git -C gcc rev-list --count a53da3a213ee00866d132c228a0e89bd2f61d65c..9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
+++ c_commits=34
+++ new_commits=57
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -589,20 +535,20 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=54195469c18ec9873cc5ba6907f768509473fa9b
+++ base_rev=10a0a5e239634fdabff35623efe2ca632047755e
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=10a0a5e239634fdabff35623efe2ca632047755e
-+++ git -C gdb rev-list --count 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-++ c_commits=17
-++ new_commits=122
-+++ echo binutils gcc glibc gdb
+++ cur_rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++++ git -C gdb rev-list --count 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ c_commits=23
+++ new_commits=80
++++ echo binutils gcc gdb
+++ tr ' ' ,
-++ components=binutils,gcc,glibc,gdb
-++ echo '122 commits in binutils,gcc,glibc,gdb'
+++ components=binutils,gcc,gdb
+++ echo '80 commits in binutils,gcc,gdb'
++ '[' --short = --oneline ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git binutils_rev
@@ -611,19 +557,19 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=54195469c18ec9873cc5ba6907f768509473fa9b
+++ base_rev=10a0a5e239634fdabff35623efe2ca632047755e
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=10a0a5e239634fdabff35623efe2ca632047755e
-+++ git -C binutils rev-list --count 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-++ c_commits=17
+++ cur_rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++++ git -C binutils rev-list --count 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ c_commits=23
++ '[' '' '!=' '' ']'
-++ git -C binutils log -n 5 --oneline 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-++ '[' 17 -gt 5 ']'
-++ echo '... and 12 more commits in binutils'
+++ git -C binutils log -n 5 --oneline 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ '[' 23 -gt 5 ']'
+++ echo '... and 18 more commits in binutils'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
@@ -632,40 +578,19 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=f1b2f3a7e0638c450129ea099baa42cbf290e313
+++ base_rev=a53da3a213ee00866d132c228a0e89bd2f61d65c
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=a53da3a213ee00866d132c228a0e89bd2f61d65c
-+++ git -C gcc rev-list --count f1b2f3a7e0638c450129ea099baa42cbf290e313..a53da3a213ee00866d132c228a0e89bd2f61d65c
-++ c_commits=70
-++ '[' '' '!=' '' ']'
-++ git -C gcc log -n 5 --oneline f1b2f3a7e0638c450129ea099baa42cbf290e313..a53da3a213ee00866d132c228a0e89bd2f61d65c
-++ '[' 70 -gt 5 ']'
-++ echo '... and 65 more commits in gcc'
-++ '[' '' '!=' '' ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=64e4acf24da15c11cb83f933947df3b2e8a700cd
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
-+++ git -C glibc rev-list --count 64e4acf24da15c11cb83f933947df3b2e8a700cd..472894d2cfee5751b44c0aaa71ed87df81c8e62e
-++ c_commits=18
+++ cur_rev=9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
++++ git -C gcc rev-list --count a53da3a213ee00866d132c228a0e89bd2f61d65c..9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
+++ c_commits=34
++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 64e4acf24da15c11cb83f933947df3b2e8a700cd..472894d2cfee5751b44c0aaa71ed87df81c8e62e
-++ '[' 18 -gt 5 ']'
-++ echo '... and 13 more commits in glibc'
+++ git -C gcc log -n 5 --oneline a53da3a213ee00866d132c228a0e89bd2f61d65c..9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
+++ '[' 34 -gt 5 ']'
+++ echo '... and 29 more commits in gcc'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
@@ -674,19 +599,19 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=54195469c18ec9873cc5ba6907f768509473fa9b
+++ base_rev=10a0a5e239634fdabff35623efe2ca632047755e
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=10a0a5e239634fdabff35623efe2ca632047755e
-+++ git -C gdb rev-list --count 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-++ c_commits=17
+++ cur_rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++++ git -C gdb rev-list --count 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ c_commits=23
++ '[' '' '!=' '' ']'
-++ git -C gdb log -n 5 --oneline 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-++ '[' 17 -gt 5 ']'
-++ echo '... and 12 more commits in gdb'
+++ git -C gdb log -n 5 --oneline 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ '[' 23 -gt 5 ']'
+++ echo '... and 18 more commits in gdb'
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -696,10 +621,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 337307
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231122 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 337308
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231122 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 340576
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 340577
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231123 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -730,30 +655,30 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gnu_native_fast_check_gdb master-arm
++ local project=tcwg_gnu_native_fast_check_gdb
@@ -788,20 +713,152 @@
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 337348
++ wait 340617
+ set -euf -o pipefail
-# generate_lnt_report
++ local results_date
+ echo '# generate_lnt_report'
+# generate_lnt_report
+ true
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/lnt-utils.sh
++ calculate_results_date
++ set -euf -o pipefail
++ local c base_d cur_d results_date=0
+++ get_current_manifest '{rr[components]}'
+++ get_manifest artifacts/manifest.sh '{rr[components]}'
+++ set +x
++ for c in $(get_current_manifest "{rr[components]}")
+++ get_baseline_component_date binutils
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No binutils in current git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
++++ cat base-artifacts/git/binutils_rev
+++ git -C binutils show --no-patch --pretty=%ct 10a0a5e239634fdabff35623efe2ca632047755e
++ base_d=1700677761
+++ get_current_component_date binutils
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_rev
+++ git -C binutils show --no-patch --pretty=%ct 6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++ cur_d=1700751063
++ '[' x1700677761 '!=' x ']'
++ '[' x1700751063 = x ']'
++ '[' 1700751063 -lt 1700677761 ']'
++ '[' x1700751063 = x ']'
++ '[' 1700751063 -gt 0 ']'
++ results_date=1700751063
++ for c in $(get_current_manifest "{rr[components]}")
+++ get_baseline_component_date gcc
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No gcc in current git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
++++ cat base-artifacts/git/gcc_rev
+++ git -C gcc show --no-patch --pretty=%ct a53da3a213ee00866d132c228a0e89bd2f61d65c
++ base_d=1700672099
+++ get_current_component_date gcc
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
++++ cat artifacts/git/gcc_rev
+++ git -C gcc show --no-patch --pretty=%ct 9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
++ cur_d=1700762659
++ '[' x1700672099 '!=' x ']'
++ '[' x1700762659 = x ']'
++ '[' 1700762659 -lt 1700672099 ']'
++ '[' x1700762659 = x ']'
++ '[' 1700762659 -gt 1700751063 ']'
++ results_date=1700762659
++ for c in $(get_current_manifest "{rr[components]}")
+++ get_baseline_component_date linux
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No linux in current git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
++++ cat base-artifacts/git/linux_rev
+++ git -C linux show --no-patch --pretty=%ct babe393974de0351c0e6cca50f5f84edaf8d7fa1
++ base_d=1698894701
+++ get_current_component_date linux
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No linux in current git' '[' -f artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
++++ cat artifacts/git/linux_rev
+++ git -C linux show --no-patch --pretty=%ct babe393974de0351c0e6cca50f5f84edaf8d7fa1
++ cur_d=1698894701
++ '[' x1698894701 '!=' x ']'
++ '[' x1698894701 = x ']'
++ '[' 1698894701 -lt 1698894701 ']'
++ '[' x1698894701 = x ']'
++ '[' 1698894701 -gt 1700762659 ']'
++ for c in $(get_current_manifest "{rr[components]}")
+++ get_baseline_component_date glibc
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No glibc in current git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ git -C glibc show --no-patch --pretty=%ct 472894d2cfee5751b44c0aaa71ed87df81c8e62e
++ base_d=1700656769
+++ get_current_component_date glibc
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No glibc in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ git -C glibc show --no-patch --pretty=%ct 472894d2cfee5751b44c0aaa71ed87df81c8e62e
++ cur_d=1700656769
++ '[' x1700656769 '!=' x ']'
++ '[' x1700656769 = x ']'
++ '[' 1700656769 -lt 1700656769 ']'
++ '[' x1700656769 = x ']'
++ '[' 1700656769 -gt 1700762659 ']'
++ for c in $(get_current_manifest "{rr[components]}")
+++ get_baseline_component_date gdb
+++ set -euf -o pipefail
+++ local base_artifacts=base-artifacts
+++ assert_with_msg 'ERROR: No gdb in current git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
++++ cat base-artifacts/git/gdb_rev
+++ git -C gdb show --no-patch --pretty=%ct 10a0a5e239634fdabff35623efe2ca632047755e
++ base_d=1700677761
+++ get_current_component_date gdb
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
++++ cat artifacts/git/gdb_rev
+++ git -C gdb show --no-patch --pretty=%ct 6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++ cur_d=1700751063
++ '[' x1700677761 '!=' x ']'
++ '[' x1700751063 = x ']'
++ '[' 1700751063 -lt 1700677761 ']'
++ '[' x1700751063 = x ']'
++ '[' 1700751063 -gt 1700762659 ']'
++ assert_with_msg 'Failed to produce results_date' '[' 1700762659 -gt 0 ']'
++ set -euf -o pipefail +x
+++ get_baseline_manifest '{rr[results_date]}'
+++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
+++ set +x
++ base_d=
++ '[' '' '!=' '' ']'
++ rr[results_date]=1700762659
++ cat
++ manifest_out
++ cat
+++ get_current_manifest '{rr[results_date]}'
+++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
+++ set +x
++ results_date=1700762659
+++ date '+%Y-%m-%d %H:%M:%S' --date @1700762659
++ results_date='2023-11-23 18:04:19'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/ tcwg_gnu_native_fast_check_gdb master-arm artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/ tcwg_gnu_native_fast_check_gdb master-arm '2023-11-23 18:04:19' artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/
+ local ci_project=tcwg_gnu_native_fast_check_gdb
+ local ci_config=master-arm
++ local 'results_date=2023-11-23 18:04:19'
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
+ local -a sumfiles
@@ -811,18 +868,191 @@
+ local lnt_testsuite=tcwg_gnu_native_fast_check_gdb
+ local machine_name=master-arm
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/
-+ build_number=548
-+ all_fields=('FAIL' 'KFAIL' 'XFAIL' 'PASS' 'XPASS' 'UNRESOLVED' 'UNSUPPORTED' 'UNTESTED' 'ERROR' 'OTHER')
-+ local all_fields
-++ date '+%Y-%m-%d %H:%M:%S'
-+ date_time='2023-11-22 19:11:02'
-+ report_header 548 master-arm '2023-11-22 19:11:02' tcwg_gnu_native_fast_check_gdb
-+ local build_number=548
+++ basename https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/
++ build_number=549
++ additional_run_infos=("tag:$lnt_testsuite" "run_order:$build_number" "test_url:$build_url")
+++ get_current_manifest '{rr[components]}'
+++ get_manifest artifacts/manifest.sh '{rr[components]}'
+++ set +x
++ for c in $(get_current_manifest "{rr[components]}")
++ additional_run_infos+=("git_${c}:$(get_current_component_url $c)")
+++ get_current_component_url binutils
+++ c=binutils
+++ local url
++++ get_current_git binutils_url
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No binutils_url in current git' '[' -f artifacts/git/binutils_url ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_url
+++ url=git://sourceware.org/git/binutils-gdb.git
++++ get_current_git binutils_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/binutils_rev
+++ rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ [[ git://sourceware.org/git/binutils-gdb.git =~ git://sourceware.org/git/ ]]
+++ url=binutils-gdb.git
+++ url='https://sourceware.org/git/?p=binutils-gdb.git'
+++ echo 'https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0'
++ for c in $(get_current_manifest "{rr[components]}")
++ additional_run_infos+=("git_${c}:$(get_current_component_url $c)")
+++ get_current_component_url gcc
+++ c=gcc
+++ local url
++++ get_current_git gcc_url
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No gcc_url in current git' '[' -f artifacts/git/gcc_url ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/gcc_url
+++ url=https://github.com/gcc-mirror/gcc.git
++++ get_current_git gcc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/gcc_rev
+++ rev=9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
+++ [[ https://github.com/gcc-mirror/gcc.git =~ git://sourceware.org/git/ ]]
+++ [[ https://github.com/gcc-mirror/gcc.git =~ https://github.com/ ]]
+++ echo https://github.com/gcc-mirror/gcc/commit/9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
++ for c in $(get_current_manifest "{rr[components]}")
++ additional_run_infos+=("git_${c}:$(get_current_component_url $c)")
+++ get_current_component_url linux
+++ c=linux
+++ local url
++++ get_current_git linux_url
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No linux_url in current git' '[' -f artifacts/git/linux_url ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/linux_url
+++ url=https://git.linaro.org/kernel-org/linux.git
++++ get_current_git linux_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/linux_rev
+++ rev=babe393974de0351c0e6cca50f5f84edaf8d7fa1
+++ [[ https://git.linaro.org/kernel-org/linux.git =~ git://sourceware.org/git/ ]]
+++ [[ https://git.linaro.org/kernel-org/linux.git =~ https://github.com/ ]]
+++ [[ https://git.linaro.org/kernel-org/linux.git =~ https://gitlab.com/ ]]
+++ [[ https://git.linaro.org/kernel-org/linux.git =~ https://git.linaro.org/ ]]
+++ echo 'https://git.linaro.org/kernel-org/linux.git/commit/?id=babe393974de0351c0e6cca50f5f84edaf8d7fa1'
++ for c in $(get_current_manifest "{rr[components]}")
++ additional_run_infos+=("git_${c}:$(get_current_component_url $c)")
+++ get_current_component_url glibc
+++ c=glibc
+++ local url
++++ get_current_git glibc_url
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_url in current git' '[' -f artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e'
++ for c in $(get_current_manifest "{rr[components]}")
++ additional_run_infos+=("git_${c}:$(get_current_component_url $c)")
+++ get_current_component_url gdb
+++ c=gdb
+++ local url
++++ get_current_git gdb_url
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No gdb_url in current git' '[' -f artifacts/git/gdb_url ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/gdb_url
+++ url=git://sourceware.org/git/binutils-gdb.git
++++ get_current_git gdb_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/gdb_rev
+++ rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ [[ git://sourceware.org/git/binutils-gdb.git =~ git://sourceware.org/git/ ]]
+++ url=binutils-gdb.git
+++ url='https://sourceware.org/git/?p=binutils-gdb.git'
+++ echo 'https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0'
++ report_header master-arm '2023-11-23 18:04:19' tag:tcwg_gnu_native_fast_check_gdb run_order:549 test_url:https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/ 'git_binutils:https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0' git_gcc:https://github.com/gcc-mirror/gcc/commit/9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb 'git_linux:https://git.linaro.org/kernel-org/linux.git/commit/?id=babe393974de0351c0e6cca50f5f84edaf8d7fa1' 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e' 'git_gdb:https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0'
+ local machine_name=master-arm
-+ local 'date_time=2023-11-22 19:11:02'
-+ local lnt_testsuite=tcwg_gnu_native_fast_check_gdb
++ local 'date_time=2023-11-23 18:04:19'
++ shift 2
++ run_infos=('tag:tcwg_gnu_native_fast_check_gdb' 'run_order:549' 'test_url:https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/' 'git_binutils:https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0' 'git_gcc:https://github.com/gcc-mirror/gcc/commit/9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb' 'git_linux:https://git.linaro.org/kernel-org/linux.git/commit/?id=babe393974de0351c0e6cca50f5f84edaf8d7fa1' 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e' 'git_gdb:https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0')
++ local run_infos
++ cat
++ for i in "${run_infos[@]}"
+++ echo tag:tcwg_gnu_native_fast_check_gdb
+++ cut -d: -f1
++ tag=tag
+++ echo tag:tcwg_gnu_native_fast_check_gdb
+++ cut -d: -f2-
++ val=tcwg_gnu_native_fast_check_gdb
++ echo ' "tag": "tcwg_gnu_native_fast_check_gdb",'
++ for i in "${run_infos[@]}"
+++ echo run_order:549
+++ cut -d: -f1
++ tag=run_order
+++ echo run_order:549
+++ cut -d: -f2-
++ val=549
++ echo ' "run_order": "549",'
++ for i in "${run_infos[@]}"
+++ echo test_url:https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/
+++ cut -d: -f1
++ tag=test_url
+++ echo test_url:https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/
+++ cut -d: -f2-
++ val=https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/
++ echo ' "test_url": "https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/",'
++ for i in "${run_infos[@]}"
+++ echo 'git_binutils:https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0'
+++ cut -d: -f1
++ tag=git_binutils
+++ echo 'git_binutils:https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0'
+++ cut -d: -f2-
++ val='https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0'
++ echo ' "git_binutils": "https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0",'
++ for i in "${run_infos[@]}"
+++ echo git_gcc:https://github.com/gcc-mirror/gcc/commit/9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
+++ cut -d: -f1
++ tag=git_gcc
+++ echo git_gcc:https://github.com/gcc-mirror/gcc/commit/9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
+++ cut -d: -f2-
++ val=https://github.com/gcc-mirror/gcc/commit/9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
++ echo ' "git_gcc": "https://github.com/gcc-mirror/gcc/commit/9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb",'
++ for i in "${run_infos[@]}"
+++ echo 'git_linux:https://git.linaro.org/kernel-org/linux.git/commit/?id=babe393974de0351c0e6cca50f5f84edaf8d7fa1'
+++ cut -d: -f1
++ tag=git_linux
+++ echo 'git_linux:https://git.linaro.org/kernel-org/linux.git/commit/?id=babe393974de0351c0e6cca50f5f84edaf8d7fa1'
+++ cut -d: -f2-
++ val='https://git.linaro.org/kernel-org/linux.git/commit/?id=babe393974de0351c0e6cca50f5f84edaf8d7fa1'
++ echo ' "git_linux": "https://git.linaro.org/kernel-org/linux.git/commit/?id=babe393974de0351c0e6cca50f5f84edaf8d7fa1",'
++ for i in "${run_infos[@]}"
+++ echo 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e'
+++ cut -d: -f1
++ tag=git_glibc
+++ echo 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e'
+++ cut -d: -f2-
++ val='https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e'
++ echo ' "git_glibc": "https://sourceware.org/git/?p=glibc.git;a=commit;h=472894d2cfee5751b44c0aaa71ed87df81c8e62e",'
++ for i in "${run_infos[@]}"
+++ echo 'git_gdb:https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0'
+++ cut -d: -f1
++ tag=git_gdb
+++ echo 'git_gdb:https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0'
+++ cut -d: -f2-
++ val='https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0'
++ echo ' "git_gdb": "https://sourceware.org/git/?p=binutils-gdb.git;a=commit;h=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0",'
+ cat
++ all_fields=('FAIL' 'KFAIL' 'XFAIL' 'PASS' 'XPASS' 'UNRESOLVED' 'UNSUPPORTED' 'UNTESTED' 'ERROR' 'OTHER')
++ local all_fields
+ for field in "${all_fields[@]}"
+ eval total_FAIL=0
++ total_FAIL=0
@@ -2817,8 +3047,8 @@
+ cat
+ false
+ post_to_jira
-+ set -euf -o pipefail
# post_to_jira
++ set -euf -o pipefail
+ echo '# post_to_jira'
+ local post_card_comment=false
+ local post_template_comment=false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 52b9740..eb5939c 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_5/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -8,9 +8,9 @@
+ declare change_kind changed_single_component last_good first_bad
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+# setup_notify_environment
+ dump_model_only=false
+ setup_notify_environment
-# setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
@@ -21,22 +21,22 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-arm
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/547/
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/'
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/547/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/'
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/549/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_fast_check_gdb--master-arm-build/548/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -45,8 +45,8 @@
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
-+ check_source_changes
# check_source_changes
++ check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -93,7 +93,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' x10a0a5e239634fdabff35623efe2ca632047755e '!=' x54195469c18ec9873cc5ba6907f768509473fa9b ']'
+++ '[' x6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 '!=' x10a0a5e239634fdabff35623efe2ca632047755e ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -108,7 +108,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' xa53da3a213ee00866d132c228a0e89bd2f61d65c '!=' xf1b2f3a7e0638c450129ea099baa42cbf290e313 ']'
+++ '[' x9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb '!=' xa53da3a213ee00866d132c228a0e89bd2f61d65c ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -136,9 +136,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x472894d2cfee5751b44c0aaa71ed87df81c8e62e '!=' x64e4acf24da15c11cb83f933947df3b2e8a700cd ']'
-++ echo -ne ' glibc'
-++ delim=' '
+++ '[' x472894d2cfee5751b44c0aaa71ed87df81c8e62e '!=' x472894d2cfee5751b44c0aaa71ed87df81c8e62e ']'
++ for c in $(print_updated_components)
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
@@ -151,19 +149,19 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' x10a0a5e239634fdabff35623efe2ca632047755e '!=' x54195469c18ec9873cc5ba6907f768509473fa9b ']'
+++ '[' x6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 '!=' x10a0a5e239634fdabff35623efe2ca632047755e ']'
++ echo -ne ' gdb'
++ delim=' '
++ echo
+ local c base_rev cur_rev c_commits
-# Debug traces :
-# change_kind=multiple_components : binutils gcc glibc gdb
-+ '[' 4 = 0 ']'
-+ '[' 4 = 1 ']'
++ '[' 3 = 0 ']'
++ '[' 3 = 1 ']'
+ change_kind=multiple_components
+# Debug traces :
+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=multiple_components : binutils gcc glibc gdb'
+# change_kind=multiple_components : binutils gcc gdb
++ echo '# change_kind=multiple_components : binutils gcc gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -171,17 +169,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=54195469c18ec9873cc5ba6907f768509473fa9b
++ base_rev=10a0a5e239634fdabff35623efe2ca632047755e
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=10a0a5e239634fdabff35623efe2ca632047755e
-++ git -C binutils rev-list --count 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-+ c_commits=17
-+ echo '# rev for binutils : 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e (17 commits)'
-# rev for binutils : 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e (17 commits)
++ cur_rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ git -C binutils rev-list --count 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++ c_commits=23
+# rev for binutils : 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 (23 commits)
++ echo '# rev for binutils : 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 (23 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -189,35 +187,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=f1b2f3a7e0638c450129ea099baa42cbf290e313
++ base_rev=a53da3a213ee00866d132c228a0e89bd2f61d65c
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=a53da3a213ee00866d132c228a0e89bd2f61d65c
-++ git -C gcc rev-list --count f1b2f3a7e0638c450129ea099baa42cbf290e313..a53da3a213ee00866d132c228a0e89bd2f61d65c
-+ c_commits=70
-# rev for gcc : f1b2f3a7e0638c450129ea099baa42cbf290e313..a53da3a213ee00866d132c228a0e89bd2f61d65c (70 commits)
-+ echo '# rev for gcc : f1b2f3a7e0638c450129ea099baa42cbf290e313..a53da3a213ee00866d132c228a0e89bd2f61d65c (70 commits)'
-+ for c in "${changed_components[@]}"
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ base_rev=64e4acf24da15c11cb83f933947df3b2e8a700cd
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ cur_rev=472894d2cfee5751b44c0aaa71ed87df81c8e62e
-++ git -C glibc rev-list --count 64e4acf24da15c11cb83f933947df3b2e8a700cd..472894d2cfee5751b44c0aaa71ed87df81c8e62e
-+ c_commits=18
-# rev for glibc : 64e4acf24da15c11cb83f933947df3b2e8a700cd..472894d2cfee5751b44c0aaa71ed87df81c8e62e (18 commits)
-+ echo '# rev for glibc : 64e4acf24da15c11cb83f933947df3b2e8a700cd..472894d2cfee5751b44c0aaa71ed87df81c8e62e (18 commits)'
++ cur_rev=9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
+++ git -C gcc rev-list --count a53da3a213ee00866d132c228a0e89bd2f61d65c..9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb
+# rev for gcc : a53da3a213ee00866d132c228a0e89bd2f61d65c..9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb (34 commits)
++ c_commits=34
++ echo '# rev for gcc : a53da3a213ee00866d132c228a0e89bd2f61d65c..9a3c40af7f7dd218cc2ebaa3a70f3317f7316ceb (34 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -225,18 +205,18 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=54195469c18ec9873cc5ba6907f768509473fa9b
++ base_rev=10a0a5e239634fdabff35623efe2ca632047755e
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=10a0a5e239634fdabff35623efe2ca632047755e
-++ git -C gdb rev-list --count 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e
-+ c_commits=17
-+ echo '# rev for gdb : 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e (17 commits)'
-# rev for gdb : 54195469c18ec9873cc5ba6907f768509473fa9b..10a0a5e239634fdabff35623efe2ca632047755e (17 commits)
++ cur_rev=6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
+++ git -C gdb rev-list --count 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0
++ c_commits=23
+# rev for gdb : 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 (23 commits)
++ echo '# rev for gdb : 10a0a5e239634fdabff35623efe2ca632047755e..6e1d1b2e7b2e12e53fa287387fbbca9c56dc29d0 (23 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index e78ead8..1c8d8ca 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#548"
+build_name="#549"
docker_opts=(--distro
default
--arch
armhf
--node
-tcwg-jade-05
+tcwg-jade-06
--security
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#548-binutils-gcc-gdb-glibc-linux"
+build_name="#549-binutils-gcc-gdb-glibc-linux"
branch_opt=(==rr\[binutils_git\]
git://sourceware.org/git/binutils-gdb.git#master
==rr\[gcc_git\]
@@ -20,4 +20,4 @@ git://sourceware.org/git/binutils-gdb.git#master
git://sourceware.org/git/glibc.git#master
==rr\[linux_git\]
https://git.linaro.org/kernel-org/linux.git#master )
-build_name="#548-binutils-gcc-gdb-glibc-linux-R0"
+build_name="#549-binutils-gcc-gdb-glibc-linux-R0"